<template>
  <v-container fluid>
    <div class="mt-140">
      <div>
        <BlogSection :blogs="blogs" />
      </div>
    </div>
  </v-container>
</template>

<script>
import blogsEn from '~/contents/en/blogsEn.js';
import blogsFa from '~/contents/fa/blogsFa.js';

export default {
  asyncData({ app }) {
    const blogs = app.i18n.locale === 'fa' ? blogsFa : blogsEn;

    async function asyncImport(blogName) {
      const wholeMD = await import(
        `~/contents/${app.i18n.locale}/blog/${blogName}.md`
      );
      // console.log(wholeMD.attributes);
      return wholeMD.attributes;
    }

    return Promise.all(blogs.map((blog) => asyncImport(blog))).then((res) => {
      return {
        blogs: res,
      };
    });
  },

  transition: {
    name: 'slide-fade',
  },

  // computed: {
  //   ogImage() {}
  // },

  // head() {
  //   return {
  //     title: this.$t('indexPageHead.title'),
  //     htmlAttrs: {
  //       lang: this.$i18n.locale
  //     },
  //     meta: [
  //       { name: 'author', content: 'Art Mary' },
  //       {
  //         name: 'description',
  //         property: 'og:description',
  //         content: this.$t('indexPageHead.description'),
  //         hid: 'description'
  //       },
  //       { property: 'og:title', content: this.$t('indexPageHead.title') },
  //       { property: 'og:image', content: this.ogImage },
  //       {
  //         name: 'twitter:description',
  //         content: this.$t('indexPageHead.description')
  //       },
  //       { name: 'twitter:image', content: this.ogImage }
  //     ]
  //   };
  // }
};
</script>
